complexes {RpsiXML} | R Documentation

## Extract complexes from psimi25ComplexEntry

### Description

Extract complexes from an object of `psimi25ComplexEntry-class`

### Usage

    complexes(x)

### Arguments

`x` | An object of `psimi25ComplexEntry-class`

### Value

A list of `psimi25Complex`

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### References

PSI-MI 2.5 XML data exchange format http://www.psidev.info/index.php?q=node/60

### See Also

`psimi25Complex-class`

### Examples

    ## Not run:
    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    intactComplexxml <- file.path(xmlDir,"intact_complexSample.xml")
    intactComplexSet <- parsePsimi25Complex(intactComplexxml,
    INTACT.PSIMI25)

    complexes(intactComplexSet)
    ## End(Not run)

[Package RpsiXML version 1.0.0 Index]